diff -pruN 1.22-3/debian/changelog 1.22-3ubuntu1/debian/changelog
--- 1.22-3/debian/changelog	2019-12-06 19:08:56.000000000 +0000
+++ 1.22-3ubuntu1/debian/changelog	2022-06-08 15:37:48.000000000 +0000
@@ -1,3 +1,15 @@
+jigit (1.22-3ubuntu1) kinetic; urgency=medium
+
+  * d/tests: Add basic test as described in libjte/test/demo.c (LP: #1978286)
+
+ -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 08 Jun 2022 17:37:48 +0200
+
+jigit (1.22-3build1) focal; urgency=medium
+
+  * No-change rebuild with fixed binutils on arm64.
+
+ -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:04:25 +0000
+
 jigit (1.22-3) unstable; urgency=medium
 
   * Multiarchify the library packages. Closes: #812946. Thanks to Matthias
diff -pruN 1.22-3/debian/control 1.22-3ubuntu1/debian/control
--- 1.22-3/debian/control	2019-12-06 19:05:59.000000000 +0000
+++ 1.22-3ubuntu1/debian/control	2022-06-08 15:37:48.000000000 +0000
@@ -1,7 +1,8 @@
 Source: jigit
 Section: utils
 Priority: optional
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 10), zlib1g-dev, libbz2-dev
 Standards-Version: 4.3.0
 Homepage: https://www.einval.com/~steve/software/JTE/
diff -pruN 1.22-3/debian/tests/control 1.22-3ubuntu1/debian/tests/control
--- 1.22-3/debian/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ 1.22-3ubuntu1/debian/tests/control	2022-06-08 15:37:48.000000000 +0000
@@ -0,0 +1,3 @@
+Tests: launch_demo.sh
+Depends: jigit
+Restrictions: build-needed
diff -pruN 1.22-3/debian/tests/launch_demo.sh 1.22-3ubuntu1/debian/tests/launch_demo.sh
--- 1.22-3/debian/tests/launch_demo.sh	1970-01-01 00:00:00.000000000 +0000
+++ 1.22-3ubuntu1/debian/tests/launch_demo.sh	2022-06-08 15:37:48.000000000 +0000
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+cd libjte
+
+# Extract the root directory of the current path
+debian_mapping=`pwd | cut -d'/' -f 2`
+
+# The following sequence was copied from test/demo.c (slightly adapted because
+# md5 script does not exist anymore):
+
+# Produce an .md5 file
+find . -name '*.c' -exec bin/jigdo-gen-checksum-list '{}' ';' >test/file.md5
+
+# Produce payload image "test/file.outfile", the template file and
+# the jigdo file. Input is test/file.md5 and the data files *.c
+test/demo -outfile test/file.outfile \
+          -template test/file.template \
+          -jigdo test/file.jigdo \
+          -md5 test/file.md5 \
+          -mapping Debian="/$debian_mapping/" \
+          *.c
+
+jigit-mkimage -t test/file.template \
+              -j test/file.jigdo \
+              -m Debian="/$debian_mapping/" \
+              -o test/file.rebuilt
+
+diff -q test/file.outfile test/file.rebuilt
+
+exit $?
